<?php

namespace App\Enums;

use App\Enums\Traits\HasLabels;

enum ArtistCategory: string
{
    use HasLabels;

    case Unset = '未定義';
    case Male = '男';
    case Female = '女';
    case Group = '團'; 
    case Foreign = '外';
    case Other = '其他';

    // 返回對應的顯示文字
    public function labels(): string
    {
        return match($this) {
            self::Male => __('enums.Male'),
            self::Female => __('enums.Female'),
            self::Group => __('enums.arist.category.Group'),
            self::Foreign => __('enums.arist.category.Foreign'),
            self::Other => __('enums.Other'),
            self::Unset => __('enums.Unset'),
        };
    }
}